W(1)

NAME
w - Show who is logged on and what they are doing.

SYNOPSIS
w [-husfVo] [user]

DESCRIPTION
w displays information about the users currently on the machine, and their processes. The header shows, in this order, the current time, how long the system has been running, how many users are currently logged on, and the system load averages for the past 1, 5, and 15 minutes. The following entries are displayed for each user: login name, the tty name, the remote host, login time, idle time, JCPU, PCPU, and the command line of their current process. The JCPU time is the time used by all processes attached to the tty. It does not include past background jobs, but does include currently running background jobs. The PCPU time is the time used by the current process, named in the "what" field.

COMMAND-LINE OPTIONS

-h  Don't print the header.

-u  Ignores the username while figuring out the current process and cpu times. To demonstrate this, do a "su" and do a "w" and a "w -u".

-s  Use the short format. Don't print the login time, JCPU or PCPU times.

-f  Toggle printing the from (remote hostname) field. The default as released is for the from field to not be printed, although your system administrator or distribution maintainer may have compiled a version in which the from field is shown by default.

-V  Display version information.

-o  Old style output. Prints blank space for idle times less than one minute.

user
    Show information about the specified user only.

FILES

/var/run/utmp
    information about who is currently logged on

/proc
    process information

NOTES
The output for Idle, JCPU and PCPU times vaires depending on if you use the -o (old style) option or not. These formats can be confusing if you switch between the old style and standard. In the following paragraphs days are DD, hours HH, minutes MM, seconds SS and 100ths of seconds CC. The standard format is DDdays, HH:MMm, MM:SS or SS.CC if the times are greater than 2 days, 1hour, or 1 minute respectively. For the -o option, the output will be either DDdays, HH:MM, MM:SSm or blank if the times are greater than 2 days, 1 hour or 1 minute respectively.

SEE ALSO
free(1), ps(1), top(1), uptime(1), utmp(5), who(1)

AUTHORS
w was re-written almost entirely by Charles Blake, based on the version by Larry Greenfield <greenfie@gauss.rutgers.edu> and Michael K. Johnson <johnsonm@redhat.com>. Please send bug reports to <albert@users.sf.net>